Index: trunk/ab5.0/abdev/abdev/abdev.vcxproj.filters
===================================================================
--- trunk/ab5.0/abdev/abdev/abdev.vcxproj.filters	(revision 828)
+++ trunk/ab5.0/abdev/abdev/abdev.vcxproj.filters	(revision 828)
@@ -0,0 +1,516 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <ItemGroup>
+    <Filter Include="Source Files">
+      <UniqueIdentifier>{c0a62512-5c78-4195-8e7b-c92dd8770089}</UniqueIdentifier>
+      <Extensions>cpp;c;cxx;rc;def;r;odl;idl;hpj;bat</Extensions>
+    </Filter>
+    <Filter Include="Source Files\Window Components">
+      <UniqueIdentifier>{0bbea66b-4376-401e-a138-d2611749ade1}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\Window Components\PartialManager">
+      <UniqueIdentifier>{23efd00c-ac4d-483f-9bb8-9220a1b838c1}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\Window Components\CodeEditor">
+      <UniqueIdentifier>{69cf7166-ecd2-4814-9a79-510128d2600f}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\old">
+      <UniqueIdentifier>{2872fc9f-9ec9-4b02-a51f-a70035df8055}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\old\RADエディタ">
+      <UniqueIdentifier>{31c9d69e-6efb-45cd-8ec4-d44d8f3e1fa1}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\old\アイコンエディタ">
+      <UniqueIdentifier>{c2273adc-5250-4401-aedd-9869fcd42a6b}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\old\コンパイラ・デバッガ通信">
+      <UniqueIdentifier>{2cda1abc-f114-4fda-a6e0-53b737310dc3}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\old\テキストエディタ">
+      <UniqueIdentifier>{0b76ef27-64d4-4e75-8a46-c9ef4f04c20b}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\old\テキストエディタ\イベントプロシージャ">
+      <UniqueIdentifier>{31002842-ff50-4c51-b075-e53fd16973c2}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\old\テキストエディタ\コード解析%28Basic%29">
+      <UniqueIdentifier>{bf6139a6-e809-4c9e-8a62-0dc179534e4c}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\old\テキストエディタ\コード解析%28HTML%29">
+      <UniqueIdentifier>{7b8c5ffc-1845-4983-a506-749a883369f3}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\old\テキストエディタ\文字コード変換">
+      <UniqueIdentifier>{c5f95b3e-2d8e-4eb4-aa9e-2d3910ce9748}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\old\テキストエディタ\Web検索">
+      <UniqueIdentifier>{ad8939b7-cd68-46c7-a626-a101b76f4e73}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\old\テキストエディタ\文字カウント">
+      <UniqueIdentifier>{f45ffd2b-c20c-409a-855e-a7ff52f73233}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\old\テキストエディタ\ルーラー">
+      <UniqueIdentifier>{92f620d8-700e-4caa-9e0f-a88ea6f31a90}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\old\テキストエディタ\正規表現">
+      <UniqueIdentifier>{bae98de9-7dc5-4c6d-b573-6645000d2cb6}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\old\テキストエディタ\MDIクライアント管理クラス">
+      <UniqueIdentifier>{33216cad-fcbe-4748-a910-697928e9048b}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\old\プロジェクト解析">
+      <UniqueIdentifier>{b6ec76b3-fbd8-4fea-ab55-b659e176e143}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\old\プロジェクト解析\クラスビュー">
+      <UniqueIdentifier>{192da43f-c6f2-4046-a0df-930a476b7efe}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\old\プロジェクト解析\ファイルビュー">
+      <UniqueIdentifier>{0b2ca813-98e7-4397-901d-d9e6f643b9f8}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\old\メニューエディタ">
+      <UniqueIdentifier>{6b65ed6e-8cf7-47f8-a3a3-ed78ea490be7}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\old\全般">
+      <UniqueIdentifier>{4852726c-8598-4e7c-8d30-fbd1fefe5031}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\old\全般\デザイン テーマ">
+      <UniqueIdentifier>{769f1c93-b43e-4e25-a435-f4f119dcd6f1}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\old\全般\関連付け">
+      <UniqueIdentifier>{ebd72761-3128-4e0a-a0b5-9aae46ae265a}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\old\全般\タブコントロール">
+      <UniqueIdentifier>{6001ab56-9a92-44b9-88c5-4967098e7677}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\old\全般\レバーコントロール">
+      <UniqueIdentifier>{068cc3f9-cd1e-4287-9620-286cd0c6a828}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\old\全般\メニューコントロール">
+      <UniqueIdentifier>{6868d8ff-6c88-48b9-a54d-6caef11c59c8}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\old\全般\LuxCtrl">
+      <UniqueIdentifier>{cc10488c-72f2-4ca4-ae93-b99f674cbeb0}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\old\全般\ユーザーデータ">
+      <UniqueIdentifier>{3e64ccec-af7f-4e1a-a87a-105cdcf5a1aa}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\Application Classes">
+      <UniqueIdentifier>{d0415a31-625d-4d83-a47a-2a236d803e0c}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files\ProjectManager">
+      <UniqueIdentifier>{6ec6870d-72d1-4466-9fe3-a7a2521b17e5}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Header Files">
+      <UniqueIdentifier>{63d670bb-25b0-4d95-9df3-521ed54433bf}</UniqueIdentifier>
+      <Extensions>h;hpp;hxx;hm;inl</Extensions>
+    </Filter>
+    <Filter Include="Header Files\言語対応文字列">
+      <UniqueIdentifier>{2abf4d57-5e64-47ec-8444-e1f0d378b78c}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Header Files\言語対応文字列\RAD">
+      <UniqueIdentifier>{d15b5e27-4fdb-4e5d-bbd8-1dbd72dc2528}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Header Files\言語対応文字列\一般">
+      <UniqueIdentifier>{8532e8dd-d287-4dfa-b5d6-5f8f75b9e333}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Header Files\言語対応文字列\プロジェクト管理">
+      <UniqueIdentifier>{b37a0835-cee0-4f86-9971-62fb6ebaeeaa}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Header Files\Application Classes">
+      <UniqueIdentifier>{3f02ee47-9897-4adb-a167-65559a845829}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Header Files\WindowComponents">
+      <UniqueIdentifier>{d8995667-ee2f-4f30-848c-d1e8fa4fd33d}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Header Files\WindowComponents\PartialManager">
+      <UniqueIdentifier>{f64bb2b5-c348-4c00-9d90-2ed90259db2a}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Header Files\WindowComponents\MdiChildFrame">
+      <UniqueIdentifier>{4f255cac-ce78-4eac-9d97-f7edbea3fd4e}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Header Files\WindowComponents\CodeEditor">
+      <UniqueIdentifier>{d34bfe2f-33b7-47f6-b9b7-e22138b1c2bf}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Header Files\ProjectManager">
+      <UniqueIdentifier>{b3229a7c-7b24-41d1-a110-76cd268c978a}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Resource Files">
+      <UniqueIdentifier>{032a7878-6b29-4311-8e74-f1aab8e8e13d}</UniqueIdentifier>
+    </Filter>
+  </ItemGroup>
+  <ItemGroup>
+    <ClCompile Include="src\WindowComponents\PartialManager\TextEditPartialManager.cpp">
+      <Filter>Source Files\Window Components\PartialManager</Filter>
+    </ClCompile>
+    <ClCompile Include="src\WindowComponents\CodeEditor\Syntax.cpp">
+      <Filter>Source Files\Window Components\CodeEditor</Filter>
+    </ClCompile>
+    <ClCompile Include="abdev.cpp">
+      <Filter>Source Files\old</Filter>
+    </ClCompile>
+    <ClCompile Include="Backup.cpp">
+      <Filter>Source Files\old</Filter>
+    </ClCompile>
+    <ClCompile Include="DialogBoxes.cpp">
+      <Filter>Source Files\old</Filter>
+    </ClCompile>
+    <ClCompile Include="DocumentAdvice.cpp">
+      <Filter>Source Files\old</Filter>
+    </ClCompile>
+    <ClCompile Include="FileOperation.cpp">
+      <Filter>Source Files\old</Filter>
+    </ClCompile>
+    <ClCompile Include="History.cpp">
+      <Filter>Source Files\old</Filter>
+    </ClCompile>
+    <ClCompile Include="stdafx.cpp">
+      <Filter>Source Files\old</Filter>
+    </ClCompile>
+    <ClCompile Include="SubOperation.cpp">
+      <Filter>Source Files\old</Filter>
+    </ClCompile>
+    <ClCompile Include="DrawWindow.cpp">
+      <Filter>Source Files\old\RADエディタ</Filter>
+    </ClCompile>
+    <ClCompile Include="MessageCallOperation.cpp">
+      <Filter>Source Files\old\RADエディタ</Filter>
+    </ClCompile>
+    <ClCompile Include="Rad_UndoRedo.cpp">
+      <Filter>Source Files\old\RADエディタ</Filter>
+    </ClCompile>
+    <ClCompile Include="RadProc.cpp">
+      <Filter>Source Files\old\RADエディタ</Filter>
+    </ClCompile>
+    <ClCompile Include="RadSupport.cpp">
+      <Filter>Source Files\old\RADエディタ</Filter>
+    </ClCompile>
+    <ClCompile Include="RadToolsAndPropertyProc.cpp">
+      <Filter>Source Files\old\RADエディタ</Filter>
+    </ClCompile>
+    <ClCompile Include="IconEditor.cpp">
+      <Filter>Source Files\old\アイコンエディタ</Filter>
+    </ClCompile>
+    <ClCompile Include="IconEditor_Color.cpp">
+      <Filter>Source Files\old\アイコンエディタ</Filter>
+    </ClCompile>
+    <ClCompile Include="IconEditor_Main.cpp">
+      <Filter>Source Files\old\アイコンエディタ</Filter>
+    </ClCompile>
+    <ClCompile Include="IconEditor_Tool.cpp">
+      <Filter>Source Files\old\アイコンエディタ</Filter>
+    </ClCompile>
+    <ClCompile Include="IconEditor_UndoRedo.cpp">
+      <Filter>Source Files\old\アイコンエディタ</Filter>
+    </ClCompile>
+    <ClCompile Include="Attach.cpp">
+      <Filter>Source Files\old\コンパイラ・デバッガ通信</Filter>
+    </ClCompile>
+    <ClCompile Include="Debugger.cpp">
+      <Filter>Source Files\old\コンパイラ・デバッガ通信</Filter>
+    </ClCompile>
+    <ClCompile Include="Caret.cpp">
+      <Filter>Source Files\old\テキストエディタ</Filter>
+    </ClCompile>
+    <ClCompile Include="DrawBuffer.cpp">
+      <Filter>Source Files\old\テキストエディタ</Filter>
+    </ClCompile>
+    <ClCompile Include="Print.cpp">
+      <Filter>Source Files\old\テキストエディタ</Filter>
+    </ClCompile>
+    <ClCompile Include="Replace.cpp">
+      <Filter>Source Files\old\テキストエディタ</Filter>
+    </ClCompile>
+    <ClCompile Include="Search.cpp">
+      <Filter>Source Files\old\テキストエディタ</Filter>
+    </ClCompile>
+    <ClCompile Include="TextEditor.cpp">
+      <Filter>Source Files\old\テキストエディタ</Filter>
+    </ClCompile>
+    <ClCompile Include="TextEditor_UndoRedo.cpp">
+      <Filter>Source Files\old\テキストエディタ</Filter>
+    </ClCompile>
+    <ClCompile Include="TextEditor_EventProc.cpp">
+      <Filter>Source Files\old\テキストエディタ\イベントプロシージャ</Filter>
+    </ClCompile>
+    <ClCompile Include="TextEditor_ImeEvent.cpp">
+      <Filter>Source Files\old\テキストエディタ\イベントプロシージャ</Filter>
+    </ClCompile>
+    <ClCompile Include="TextEditor_KeyEvent.cpp">
+      <Filter>Source Files\old\テキストエディタ\イベントプロシージャ</Filter>
+    </ClCompile>
+    <ClCompile Include="TextEditor_MouseEvent.cpp">
+      <Filter>Source Files\old\テキストエディタ\イベントプロシージャ</Filter>
+    </ClCompile>
+    <ClCompile Include="analysis.cpp">
+      <Filter>Source Files\old\テキストエディタ\コード解析%28Basic%29</Filter>
+    </ClCompile>
+    <ClCompile Include="CodeFormatter.cpp">
+      <Filter>Source Files\old\テキストエディタ\コード解析%28Basic%29</Filter>
+    </ClCompile>
+    <ClCompile Include="Complement.cpp">
+      <Filter>Source Files\old\テキストエディタ\コード解析%28Basic%29</Filter>
+    </ClCompile>
+    <ClCompile Include="EndPairCommandComplement.cpp">
+      <Filter>Source Files\old\テキストエディタ\コード解析%28Basic%29</Filter>
+    </ClCompile>
+    <ClCompile Include="ParameterHint.cpp">
+      <Filter>Source Files\old\テキストエディタ\コード解析%28Basic%29</Filter>
+    </ClCompile>
+    <ClCompile Include="HtmlAnalysis.cpp">
+      <Filter>Source Files\old\テキストエディタ\コード解析%28HTML%29</Filter>
+    </ClCompile>
+    <ClCompile Include="nkf_class.cpp">
+      <Filter>Source Files\old\テキストエディタ\文字コード変換</Filter>
+    </ClCompile>
+    <ClCompile Include="WebSearch.cpp">
+      <Filter>Source Files\old\テキストエディタ\Web検索</Filter>
+    </ClCompile>
+    <ClCompile Include="StringCount.cpp">
+      <Filter>Source Files\old\テキストエディタ\文字カウント</Filter>
+    </ClCompile>
+    <ClCompile Include="Ruler.cpp">
+      <Filter>Source Files\old\テキストエディタ\ルーラー</Filter>
+    </ClCompile>
+    <ClCompile Include="reg_exp.cpp">
+      <Filter>Source Files\old\テキストエディタ\正規表現</Filter>
+    </ClCompile>
+    <ClCompile Include="MdiTextEdit.cpp">
+      <Filter>Source Files\old\テキストエディタ\MDIクライアント管理クラス</Filter>
+    </ClCompile>
+    <ClCompile Include="ProjectControl.cpp">
+      <Filter>Source Files\old\プロジェクト解析</Filter>
+    </ClCompile>
+    <ClCompile Include="Resource.cpp">
+      <Filter>Source Files\old\プロジェクト解析</Filter>
+    </ClCompile>
+    <ClCompile Include="WindowControl.cpp">
+      <Filter>Source Files\old\プロジェクト解析</Filter>
+    </ClCompile>
+    <ClCompile Include="CClassInfo.cpp">
+      <Filter>Source Files\old\プロジェクト解析\クラスビュー</Filter>
+    </ClCompile>
+    <ClCompile Include="ClassTree.cpp">
+      <Filter>Source Files\old\プロジェクト解析\クラスビュー</Filter>
+    </ClCompile>
+    <ClCompile Include="FileTree.cpp">
+      <Filter>Source Files\old\プロジェクト解析\ファイルビュー</Filter>
+    </ClCompile>
+    <ClCompile Include="MenuProc.cpp">
+      <Filter>Source Files\old\メニューエディタ</Filter>
+    </ClCompile>
+    <ClCompile Include="DesignTheme.cpp">
+      <Filter>Source Files\old\全般\デザイン テーマ</Filter>
+    </ClCompile>
+    <ClCompile Include="ExtensionLink.cpp">
+      <Filter>Source Files\old\全般\関連付け</Filter>
+    </ClCompile>
+    <ClCompile Include="TabCtrl.cpp">
+      <Filter>Source Files\old\全般\タブコントロール</Filter>
+    </ClCompile>
+    <ClCompile Include="ChildWndOnRebar.cpp">
+      <Filter>Source Files\old\全般\レバーコントロール</Filter>
+    </ClCompile>
+    <ClCompile Include="rebar.cpp">
+      <Filter>Source Files\old\全般\レバーコントロール</Filter>
+    </ClCompile>
+    <ClCompile Include="menu.cpp">
+      <Filter>Source Files\old\全般\メニューコントロール</Filter>
+    </ClCompile>
+    <ClCompile Include="LuxCtrl.cpp">
+      <Filter>Source Files\old\全般\LuxCtrl</Filter>
+    </ClCompile>
+    <ClCompile Include="NonVolatile.cpp">
+      <Filter>Source Files\old\全般\ユーザーデータ</Filter>
+    </ClCompile>
+    <ClCompile Include="src\MainFrame.cpp">
+      <Filter>Source Files\Application Classes</Filter>
+    </ClCompile>
+    <ClCompile Include="src\Program.cpp">
+      <Filter>Source Files\Application Classes</Filter>
+    </ClCompile>
+    <ClCompile Include="src\WindowAreaManager.cpp">
+      <Filter>Source Files\Application Classes</Filter>
+    </ClCompile>
+    <ClCompile Include="src\ProjectManager\FileManager.cpp">
+      <Filter>Source Files\ProjectManager</Filter>
+    </ClCompile>
+    <ClCompile Include="src\ProjectManager\ProjectManager.cpp">
+      <Filter>Source Files\ProjectManager</Filter>
+    </ClCompile>
+    <ClCompile Include="..\OldWindowsHelperImpl.cpp">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+  </ItemGroup>
+  <ItemGroup>
+    <ClInclude Include="Attach.h">
+      <Filter>Source Files\old\コンパイラ・デバッガ通信</Filter>
+    </ClInclude>
+    <ClInclude Include="Debugger.h">
+      <Filter>Source Files\old\コンパイラ・デバッガ通信</Filter>
+    </ClInclude>
+    <ClInclude Include="HtmlAnalysis.h">
+      <Filter>Source Files\old\テキストエディタ\コード解析%28HTML%29</Filter>
+    </ClInclude>
+    <ClInclude Include="nkf_class.h">
+      <Filter>Source Files\old\テキストエディタ\文字コード変換</Filter>
+    </ClInclude>
+    <ClInclude Include="CIEsink.h">
+      <Filter>Source Files\old\テキストエディタ\Web検索</Filter>
+    </ClInclude>
+    <ClInclude Include="WebSearch.h">
+      <Filter>Source Files\old\テキストエディタ\Web検索</Filter>
+    </ClInclude>
+    <ClInclude Include="Ruler.h">
+      <Filter>Source Files\old\テキストエディタ\ルーラー</Filter>
+    </ClInclude>
+    <ClInclude Include="BREGEXP.H">
+      <Filter>Source Files\old\テキストエディタ\正規表現</Filter>
+    </ClInclude>
+    <ClInclude Include="MdiTextEdit.h">
+      <Filter>Source Files\old\テキストエディタ\MDIクライアント管理クラス</Filter>
+    </ClInclude>
+    <ClInclude Include="FileTree.h">
+      <Filter>Source Files\old\プロジェクト解析\ファイルビュー</Filter>
+    </ClInclude>
+    <ClInclude Include="DesignTheme.h">
+      <Filter>Source Files\old\全般\デザイン テーマ</Filter>
+    </ClInclude>
+    <ClInclude Include="ExtensionLink.h">
+      <Filter>Source Files\old\全般\関連付け</Filter>
+    </ClInclude>
+    <ClInclude Include="TabCtrl.h">
+      <Filter>Source Files\old\全般\タブコントロール</Filter>
+    </ClInclude>
+    <ClInclude Include="menu.h">
+      <Filter>Source Files\old\全般\メニューコントロール</Filter>
+    </ClInclude>
+    <ClInclude Include="LuxCtrl.h">
+      <Filter>Source Files\old\全般\LuxCtrl</Filter>
+    </ClInclude>
+    <ClInclude Include="NonVolatile.h">
+      <Filter>Source Files\old\全般\ユーザーデータ</Filter>
+    </ClInclude>
+    <ClInclude Include="abdev.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="Common.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="stdafx.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="rad_msg_eng.h">
+      <Filter>Header Files\言語対応文字列\RAD</Filter>
+    </ClInclude>
+    <ClInclude Include="rad_msg_jpn.h">
+      <Filter>Header Files\言語対応文字列\RAD</Filter>
+    </ClInclude>
+    <ClInclude Include="common_msg_eng.h">
+      <Filter>Header Files\言語対応文字列\一般</Filter>
+    </ClInclude>
+    <ClInclude Include="common_msg_jpn.h">
+      <Filter>Header Files\言語対応文字列\一般</Filter>
+    </ClInclude>
+    <ClInclude Include="pj_msg_eng.h">
+      <Filter>Header Files\言語対応文字列\プロジェクト管理</Filter>
+    </ClInclude>
+    <ClInclude Include="pj_msg_jpn.h">
+      <Filter>Header Files\言語対応文字列\プロジェクト管理</Filter>
+    </ClInclude>
+    <ClInclude Include="include\MainFrame.h">
+      <Filter>Header Files\Application Classes</Filter>
+    </ClInclude>
+    <ClInclude Include="include\Program.h">
+      <Filter>Header Files\Application Classes</Filter>
+    </ClInclude>
+    <ClInclude Include="include\WindowAreaManager.h">
+      <Filter>Header Files\Application Classes</Filter>
+    </ClInclude>
+    <ClInclude Include="include\WindowCollection.h">
+      <Filter>Header Files\Application Classes</Filter>
+    </ClInclude>
+    <ClInclude Include="include\WindowComponents\BaseWindow.h">
+      <Filter>Header Files\WindowComponents</Filter>
+    </ClInclude>
+    <ClInclude Include="include\WindowComponents\DockingWindow.h">
+      <Filter>Header Files\WindowComponents</Filter>
+    </ClInclude>
+    <ClInclude Include="include\WindowComponents\MdiChild.h">
+      <Filter>Header Files\WindowComponents</Filter>
+    </ClInclude>
+    <ClInclude Include="include\WindowComponents\MdiWindow.h">
+      <Filter>Header Files\WindowComponents</Filter>
+    </ClInclude>
+    <ClInclude Include="include\WindowComponents\TextView.h">
+      <Filter>Header Files\WindowComponents</Filter>
+    </ClInclude>
+    <ClInclude Include="include\WindowComponents\PartialManager\PartialManager.h">
+      <Filter>Header Files\WindowComponents\PartialManager</Filter>
+    </ClInclude>
+    <ClInclude Include="include\WindowComponents\PartialManager\TextEditPartialManager.h">
+      <Filter>Header Files\WindowComponents\PartialManager</Filter>
+    </ClInclude>
+    <ClInclude Include="include\WindowComponents\CodeEditor\Syntax.h">
+      <Filter>Header Files\WindowComponents\CodeEditor</Filter>
+    </ClInclude>
+    <ClInclude Include="include\ProjectManager\FileManager.h">
+      <Filter>Header Files\ProjectManager</Filter>
+    </ClInclude>
+    <ClInclude Include="include\ProjectManager\ProjectManager.h">
+      <Filter>Header Files\ProjectManager</Filter>
+    </ClInclude>
+    <ClInclude Include="include\ProjectManager\WindowManager.h">
+      <Filter>Header Files\ProjectManager</Filter>
+    </ClInclude>
+  </ItemGroup>
+  <ItemGroup>
+    <ResourceCompile Include="abdev.rc">
+      <Filter>Resource Files</Filter>
+    </ResourceCompile>
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="BasicProgram.ico">
+      <Filter>Resource Files</Filter>
+    </None>
+    <None Include="file_bas.ico">
+      <Filter>Resource Files</Filter>
+    </None>
+    <None Include="file_bmp.ico">
+      <Filter>Resource Files</Filter>
+    </None>
+    <None Include="file_icon.ico">
+      <Filter>Resource Files</Filter>
+    </None>
+    <None Include="file_pj.ico">
+      <Filter>Resource Files</Filter>
+    </None>
+    <None Include="file_sbp.ico">
+      <Filter>Resource Files</Filter>
+    </None>
+    <None Include="folder_close.ico">
+      <Filter>Resource Files</Filter>
+    </None>
+    <None Include="folder_open.ico">
+      <Filter>Resource Files</Filter>
+    </None>
+    <None Include="ico00001.ico">
+      <Filter>Resource Files</Filter>
+    </None>
+    <None Include="icon1.ico">
+      <Filter>Resource Files</Filter>
+    </None>
+    <None Include="Procedure.ico">
+      <Filter>Resource Files</Filter>
+    </None>
+    <None Include="TextDocument.ico">
+      <Filter>Resource Files</Filter>
+    </None>
+    <None Include="Window.ico">
+      <Filter>Resource Files</Filter>
+    </None>
+    <None Include="main.ico" />
+  </ItemGroup>
+  <ItemGroup>
+    <MASM Include="..\OldWindowsHelper.asm">
+      <Filter>Source Files</Filter>
+    </MASM>
+  </ItemGroup>
+</Project>
Index: trunk/ab5.0/abdev/abdev/include/MainFrame.h
===================================================================
--- trunk/ab5.0/abdev/abdev/include/MainFrame.h	(revision 825)
+++ trunk/ab5.0/abdev/abdev/include/MainFrame.h	(revision 828)
@@ -27,5 +27,5 @@
 	WindowAreaManager wam;
 	UINT TaskbarButtonCreated;
-	boost::shared_ptr<TaskbarList> taskbarList;
+	std::shared_ptr<TaskbarList> taskbarList;
 
 public:
@@ -295,5 +295,5 @@
 		MSG_WM_DROPFILES( OnDropFiles )
 		MSG_WM_PAINT( OnPaint )
-		MESSAGE_HANDLER( WM_SHOWERROR, OnShowSourceLine )	
+		MESSAGE_HANDLER( WM_SHOWERROR, OnShowSourceLine )
 		MESSAGE_HANDLER_EX( TaskbarButtonCreated, OnTaskbarButtonCreated )
 		COMMAND_ID_HANDLER_EX( IDM_NEW, OnCmdNew )
Index: trunk/ab5.0/abdev/abdev/src/MainFrame.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/src/MainFrame.cpp	(revision 825)
+++ trunk/ab5.0/abdev/abdev/src/MainFrame.cpp	(revision 828)
@@ -55,4 +55,6 @@
 		wndTarget(hwndTarget)
 	{
+		DWORD const WS_EX_NOACTIVATE = 0x08000000;
+
 		HWND hwndDummy = Create( hOwner, CRect( -32000, -32000, 1, 1 ), title,
 			WS_BORDER | WS_SYSMENU | WS_CAPTION, WS_EX_NOACTIVATE);
@@ -292,8 +294,8 @@
 		if (taskbarList)
 		{
-		taskbarList->SetTabOrder(*mapAt(hwndChild),
-			hwndInsertBefore
-			? static_cast<HWND>(*mapAt(hwndInsertBefore))
-			: 0);
+			taskbarList->SetTabOrder(*mapAt(hwndChild),
+				hwndInsertBefore
+				? static_cast<HWND>(*mapAt(hwndInsertBefore))
+				: 0);
 		}
 	}
@@ -976,5 +978,5 @@
 	char temporary[MAX_PATH];
 
-	FileType=DialogBox(hResInst,MAKEINTRESOURCE(IDD_NEWFILE),hOwner,DlgNewFile);
+	FileType = ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_NEWFILE, hOwner, DlgNewFile);
 	if(FileType==-1) return;
 
@@ -1023,5 +1025,5 @@
 {
 	//"ファイルを指定してください"
-	extern LPSTR DefFileFilter;
+	extern const LPCSTR DefFileFilter;
 	char temporary[1024];
 	if(!GetFilePathDialog(m_hWnd,temporary,DefFileFilter,STRING_FILEOPENTITLE_DEFAULT,TRUE)) return;
@@ -1039,5 +1041,5 @@
 {
 	//"プロジェクト ファイルを指定して下さい"
-	extern LPSTR ProjectFileFilter;
+	extern const LPCSTR ProjectFileFilter;
 	char temporary[1024];
 	if(!GetFilePathDialog(m_hWnd,temporary,ProjectFileFilter,STRING_FILEOPENTITLE_PROJECT,TRUE))
@@ -1072,5 +1074,5 @@
 {
 	//"保存先のファイルを指定してください"
-	extern LPSTR DefFileFilter;
+	extern const LPCSTR DefFileFilter;
 	char temporary[1024];
 	if(!GetFilePathDialog(m_hWnd,temporary,DefFileFilter,STRING_FILESAVETITLE_DEFAULT,FALSE)) return;
@@ -1367,10 +1369,10 @@
 void MainFrame::OnCmdFind( UINT uNotifyCode, int nID, CWindow wndCtl )
 {
-	DialogBox(hResInst,MAKEINTRESOURCE(IDD_FIND),m_hWnd,DlgFind);
+	ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_FIND, m_hWnd, DlgFind);
 }
 
 void MainFrame::OnCmdPermutation( UINT uNotifyCode, int nID, CWindow wndCtl )
 {
-	DialogBox(hResInst,MAKEINTRESOURCE(IDD_PERMUTATION),m_hWnd,DlgPermutation);
+	ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_PERMUTATION, m_hWnd, DlgPermutation);
 }
 
@@ -1627,5 +1629,5 @@
 	int idProcess;
 	DWORD dwPlatform;
-	idProcess=DialogBoxParam(hResInst,MAKEINTRESOURCE(IDD_ATTACH),m_hWnd,DlgAttach,(LPARAM)&dwPlatform);
+	idProcess = ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_ATTACH, m_hWnd, DlgAttach, reinterpret_cast<LPARAM>(&dwPlatform));
 	if(idProcess==0) return;
 
@@ -1889,5 +1891,5 @@
 void MainFrame::OnCmdAbout( UINT uNotifyCode, int nID, CWindow wndCtl )
 {
-	DialogBox(hResInst,MAKEINTRESOURCE(IDD_ABOUT),m_hWnd,DialogAbout);
+	ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_ABOUT, m_hWnd, DialogAbout);
 }
 
Index: trunk/ab5.0/abdev/abdev/stdafx.h
===================================================================
--- trunk/ab5.0/abdev/abdev/stdafx.h	(revision 825)
+++ trunk/ab5.0/abdev/abdev/stdafx.h	(revision 828)
@@ -1,4 +1,3 @@
 #pragma once
-#define _CRT_SECURE_CPP_OVERLOAD_STANDARD_NAMES 1
 
 #include <map>
@@ -26,4 +25,8 @@
 #include <atlcom.h>
 #include <atlhost.h>
+#undef _SECURE_ATL
+#define _SECURE_ATL 1
+#pragma warning(push)
+#pragma warning(disable: 6011 6246 6255 6269 6387)
 #include <atlapp.h>
 #include <atlframe.h>
@@ -31,4 +34,5 @@
 #include <atlmisc.h>
 #include <atlctrls.h>
+#pragma warning(pop)
 
 //boost libraries
@@ -40,5 +44,8 @@
 
 // tinyxml
+#pragma warning(push)
+#pragma warning(disable: 6011)
 #include <tinyxml/tinyxml.h>
+#pragma warning(pop)
 
 #include <jenga/include/jenga.h>
